/////////////////////////////////////////////////////////////////////
// OpenState.h                                                     //
// ver 1.0                                                         //
// Yuan Liu, Demo program for CSE 776, Fall 2018                   //
/////////////////////////////////////////////////////////////////////
/*
*  File Operations:
*  -------------------
*  - This class is responsible for the operations in Open state.
*
*
*  Maintenance History:
*  --------------------
*  ver 1.0 : 18 Sep 2018
*  - first release
*/
#pragma once
#include "State.h"

class OpenState : public State {
public:
    ~OpenState();
    static State* instance();
    void open();
    void close();
    void run();
    void stop();

private:
    OpenState() {};
    static State *openState;
};