/////////////////////////////////////////////////////////////////////
// CloseState.h                                                    //
// ver 1.0                                                         //
// Yuan Liu, Demo program for CSE 776, Fall 2018                   //
/////////////////////////////////////////////////////////////////////
/*
*  File Operations:
*  -------------------
*  - This class is responsible for the operations in CLOSE state.
*
*
*  Maintenance History:
*  --------------------
*  ver 1.0 : 18 Sep 2018
*  - first release
*/
#pragma once
#include "State.h"

class CloseState : public State {
public:
    ~CloseState();
    static State* instance();   // return an instance of CLOSE state
    void open();
    void close();
    void run();
    void stop();

private:
    CloseState() {};
    static State *closeState;
};