/////////////////////////////////////////////////////////////////////
// State.h                                                         //
// ver 1.0                                                         //
// Yuan Liu, Demo program for CSE 776, Fall 2018                   //
/////////////////////////////////////////////////////////////////////
/*
*  File Operations:
*  -------------------
*  - This class is the base class for the concrete state class.
*
*
*  Maintenance History:
*  --------------------
*  ver 1.0 : 18 Sep 2018
*  - first release
*/
#pragma once

class Context;
class State {
public:
    State();
    virtual ~State();
    void setContext(Context*);
    virtual void open() = 0;
    virtual void close() = 0;
    virtual void run() = 0;
    virtual void stop() = 0;

protected:
    Context *context;
};