/////////////////////////////////////////////////////////////////////
// StopState.h                                                     //
// ver 1.0                                                         //
// Yuan Liu, Demo program for CSE 776, Fall 2018                   //
/////////////////////////////////////////////////////////////////////
/*
*  File Operations:
*  -------------------
*  - This class is responsible for the operations in STOP state.
*
*
*  Maintenance History:
*  --------------------
*  ver 1.0 : 18 Sep 2018
*  - first release
*/
#pragma once
#include "State.h"

class StopState : public State {
public:
    ~StopState();
    static State* instance();
    void open();
    void close();
    void run();
    void stop();

private:
    StopState() {};
    static State *stopState;
};